Bug 1031499 - (CVE-2013-6800) CVE-2013-6800 krb5: KDC remote DoS (NULL pointer dereference and daemon crash)
CVE-2013-6800 krb5: KDC remote DoS (NULL pointer dereference and daemon crash)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131104,repor...
: Security
Depends On: 1026981 1031501 1089845 1121510
Blocks: 1026945 1063682 1101912
  Show dependency treegraph
 
Reported: 2013-11-18 01:38 EST by Ratul Gupta
Modified: 2015-10-15 14:05 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that if a KDC served multiple realms, certain requests could cause the setup_server_realm() function to dereference a NULL pointer. A remote, unauthenticated attacker could use this flaw to crash the KDC using a specially crafted request.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 05:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-11-18 01:38:29 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6800 to
the following vulnerability:

Name: CVE-2013-6800
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6800
Assigned: 20131115
Reference: http://krbdev.mit.edu/rt/Ticket/Display.html?id=7757
Reference: https://github.com/krb5/krb5/commit/c2ccf4197f697c4ff143b8a786acdd875e70a89d

An unspecified third-party database module for the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) 1.10.x allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via a crafted request, a different vulnerability than CVE-2013-1418.
Comment 1 Ratul Gupta 2013-11-18 01:39:44 EST
Created krb5 tracking bugs for this issue:

Affects: fedora-all [bug 1031501]
Comment 2 Nalin Dahyabhai 2013-11-18 09:15:16 EST
This has a different identifier from CVE-2013-1418, but points to the same patch.  Is there anything to update in the packaging here beyond what we already did for 1418?
Comment 3 Vincent Danen 2013-11-18 18:12:28 EST
No.  I'm not sure why they split this other than the code looks slightly different but the fix is identical, and one is in 1.10.x and other 1.12.  I'm actually at a complete loss as to why MITRE did this.  As far as I'm concerned, this is CVE-2013-1418 (or bug #1026942).
Comment 4 Nalin Dahyabhai 2013-11-18 18:22:09 EST
Okay, then.  I'll see if I can add this to the changelogs in source control, so that if/when we push other updates it'll show up there.  Thanks!
Comment 5 Vincent Danen 2013-11-18 18:44:21 EST
Yeah, I think for some reason that this is for 1.10.x and the other is for 1.11 (which makes no sense as the code is so similar).  I guess mention it but I'm quite certain these two CVEs should be one.
Comment 6 Tomas Hoger 2013-11-19 03:30:49 EST
Apparently, split was triggered by this wording in the upstream RT / commit:

  *A related* but more minor vulnerability requires authentication to
  exploit, and is only present if a third-party KDC database module can
  dereference a null pointer under certain conditions.
Comment 7 Huzaifa S. Sidhpurwala 2013-12-30 04:07:22 EST
Note: This issue can be triggered only if multiple realms are served from one KDC

Statement:

(none)
Comment 14 Martin Prpič 2014-09-09 05:47:14 EDT
IssueDescription:

It was found that if a KDC served multiple realms, certain requests could cause the setup_server_realm() function to dereference a NULL pointer. A remote, unauthenticated attacker could use this flaw to crash the KDC using a specially crafted request.
Comment 15 errata-xmlrpc 2014-09-16 01:29:07 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1245 https://rhn.redhat.com/errata/RHSA-2014-1245.html
Comment 16 errata-xmlrpc 2014-10-14 04:10:36 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1389 https://rhn.redhat.com/errata/RHSA-2014-1389.html

Note You need to log in before you can comment on or make changes to this bug.